| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Properties | Private Attributes | List of all members
IG.Neural.DataMapperSimple Class Reference

More...

Inheritance diagram for IG.Neural.DataMapperSimple:
[legend]
Collaboration diagram for IG.Neural.DataMapperSimple:
[legend]

## Public Member Functions
| DataMapperSimple (MappingDefinition definition, InputOutputDataDefiniton dataDefinition)
| DataMapperSimple (string mappingDefinitionFilePath, string dataDefinitionPath)
override void | MapInput (IVector reducedInput, ref IVector originalInput)
  | Transfer elements from reducedInput vector to original output vector using mapping data for reference. Elements that are not defined in reducedInput vector are copied from definitiondata. Parameters
  reducedInput | Reduced elements.
  originalInput | Original elements for neural network testing.
$A Igor Jul 19; tako78 Jul 19 More...
override void | MapOutput (IVector originalOutput, ref IVector reducedOutput)
  | Transfer elements from originalOutput vector to original output vector using mapping data for reference. Only defined elements are copied in reducedOutput vector. Parameters
  originalOutput | Original elements from neural network.
  reducedOutput | Reduced elements.
$A Igor Jul 19; tako78 Jul 19 More...
Public Member Functions inherited from IG.Neural.DataMapperIdentity
| DataMapperIdentity ()

## Protected Member Functions
| DataMapperSimple ()

## Properties
MappingDefinition | MappingDefinition`[get, protected set]`
InputOutputDataDefiniton | DataDefinition`[get, protected set]`

## Private Attributes
MappingDefinition | _mappingDefinition
InputOutputDataDefiniton | _dataDefinition

## Detailed Description

## Constructor & Destructor Documentation

IG.Neural.DataMapperSimple.DataMapperSimple | ( |  | ) |
| inline protected

IG.Neural.DataMapperSimple.DataMapperSimple | ( | MappingDefinition | definition,
|  | InputOutputDataDefiniton | dataDefinition
| ) |  |
| inline

Parameters

  definition | Data that defines how input and output mappings are performed. If null then identity mapping is performed.
  dataDefinition | Definition data.

$A Igor Jul 19; tako78 Jul 19

IG.Neural.DataMapperSimple.DataMapperSimple | ( | string | mappingDefinitionFilePath,
|  | string | dataDefinitionPath
| ) |  |
| inline

Parameters

  mappingDefinitionFilePath | JSON file containing data that defines how input and output mappings are performed. If null then identity mapping is performed.

Exceptions

  NotImplementedException | When file path is not specified or file does not exist.

$A Igor Jul 19; tako78 Jul 19

References IG.Neural.MappingDefinition.LoadJson(), and IG.Num.InputOutputDataDefiniton.LoadJson().

## Member Function Documentation

override void IG.Neural.DataMapperSimple.MapInput | ( | IVector | reducedInput,
|  | ref IVector | originalInput
| ) |  |
| inline

Transfer elements from reducedInput vector to original output vector using mapping data for reference. Elements that are not defined in reducedInput vector are copied from definitiondata.

Parameters

  reducedInput | Reduced elements.
  originalInput | Original elements for neural network testing.

$A Igor Jul 19; tako78 Jul 19

Implements IG.Neural.IDataMapper.

References IG.Neural.MappingDefinition.CheckInputNameConsistency, IG.Neural.MappingDefinition.CheckInputUniqueness, IG.Num.InputElementDefinition.DefaultValue, IG.Neural.MappingDefinition.GetMapInputElement(), IG.Neural.MappingDefinition.MappedInputLength, and IG.Neural.MappingDefinitionElement.OriginalElementIndex.

override void IG.Neural.DataMapperSimple.MapOutput | ( | IVector | originalOutput,
|  | ref IVector | reducedOutput
| ) |  |
| inline

Transfer elements from originalOutput vector to original output vector using mapping data for reference. Only defined elements are copied in reducedOutput vector.

Parameters

  originalOutput | Original elements from neural network.
  reducedOutput | Reduced elements.

$A Igor Jul 19; tako78 Jul 19

Implements IG.Neural.IDataMapper.

References IG.Neural.MappingDefinition.CheckOutputNameConsistency, IG.Neural.MappingDefinition.CheckOutputUniqueness, IG.Neural.MappingDefinition.GetMapOutputElement(), IG.Neural.MappingDefinition.MappedOutputLength, and IG.Neural.MappingDefinitionElement.OriginalElementIndex.

## Member Data Documentation

MappingDefinition IG.Neural.DataMapperSimple._mappingDefinition
| private

InputOutputDataDefiniton IG.Neural.DataMapperSimple._dataDefinition
| private

## Property Documentation

MappingDefinition IG.Neural.DataMapperSimple.MappingDefinition
| get protected set

InputOutputDataDefiniton IG.Neural.DataMapperSimple.DataDefinition
| get protected set

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/testneural/NeuralMapData.cs